#include "stdafx.h"
#include "deNetWinClient.h"
#include "NetUsersDiag.h"
#include "deNetWinClientUser.hpp"
#include "..\deNet\deConnection.hpp"

eNetError deNetWinClientUser::OnTick( void )
{
	// update connection info
	CNetUsersDiag::GetWin()->UpdateConnectionInfo( m_Connection );

	return deClient::OnTick();
}

eNetError	deNetWinClientUser::OnCustomMsg( deNetMsg * pMsg )
{
	return CODE_OK;
}

eNetError	deNetWinClientUser::OnNewConnection( deConnection * pConn )
{
	CNetUsersDiag::GetWin()->AddConnection( pConn );
	return CODE_OK;
}

eNetError	deNetWinClientUser::OnRemoveConnnection( deConnection * pConn )
{
	CNetUsersDiag::GetWin()->RemoveConnection( pConn );
	return CODE_OK;
}